#
# spec file for package vdr-plugin-satip
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014,2015 B1 Systems GmbH, Vohburg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vdr-plugin-satip
Version:        2.2.2
Release:        4.3
Summary:        SAT>IP Input Plugin for the Video Disc Recorder VDR
License:        GPL-2.0
Group:          Productivity/Multimedia/Other
Url:            http://www.saunalahti.fi/~rahrenbe/vdr/satip/
Source0:        http://www.saunalahti.fi/~rahrenbe/vdr/satip/files/vdr-satip-%{version}.tgz
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  tinyxml-devel
BuildRequires:  vdr-devel >= 2.0.0
BuildRequires:  pkgconfig(libcurl) >= 7.36.0
Requires(pre):  %{vdr_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the SAT>IP input plugin for the video disc recorder VDR.

This plugin integrates SAT>IP network devices seamlessly into VDR.
You can use any SAT>IP channel like any other normal DVB channel for
live viewing, recording, etc. The plugin also features full section
filtering capabilities which allow for example EIT information to be
extracted from the incoming stream.

%prep
%setup -q -n satip-%{version}

%build
# use msgmerge wrapper
export PATH=%{_datadir}/vdr:$PATH
make %{?_smp_mflags} SATIP_USE_TINYXML=1

%install
make install DESTDIR=%{buildroot}

# locale files
%vdr_find_locale

%files -f vdrlocale.files
%defattr(-,root,root)
%doc COPYING HISTORY README
%{vdr_libdir}/libvdr*

%changelog
* Fri May 15 2015 seife+obs@b1-systems.com
- update to version 2.2.2 (2015-04-26)
  * Added a more flexible OPER command in the SVDRP interface
  * Added new ATTA and DETA SVDRP commands
  * Set the default device count to two
* Tue Apr  7 2015 seife+obs@b1-systems.com
- update to version 2.2.1 (2015-04-04)
  * Improved RTSP error checking
  * Got rid of SATIP_DEBUG
  * Robustify the server discovery
  * Fixed a memory leak in TinyXML implementation
  * Updated against SAT>IP protocol specification version 1.2.2
* Fri Mar  6 2015 seife+obs@b1-systems.com
- update to version 2.2.0 (2015-02-19)
  * Updated for vdr-2.2.0.
  * Fixed memory deallocation errors.
  * Cleaned up all scan-build warnings.
  * Refactored the frontend handling.
* Fri Jan 23 2015 seife+obs@b1-systems.com
- update to version 1.0.2 (2015-01-18)
  * 2015-01-10: Version 1.0.1
  - Updated the command-line help and README.
  - Fixed the server teardown.
  - Removed the unnecessary config directory definition.
  - Added a fallback for older glibc libraries.
  - Improved pid selection performance.
  - Added support for Digital Devices CI extension.
  * 2015-01-18: Version 1.0.2
  - Added configurable CI slots.
  - Fixed parsing of the setup values.
  - Added an option to disable sources via sources.conf.
  - Added a command-line option to disable all the
    SAT>IP server quirks.
  - Updated translations
* Wed Dec 31 2014 seife+obs@b1-systems.com
- initial packaging, version 1.0.0 (released 2014-12-24)
